summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorGuba Zoltán2021-04-18 13:24:21 +0200
committerGuba Zoltán2021-04-18 13:24:21 +0200
commit6576c7278271096b3bbed12071a6a6a94b562521 (patch)
treedd1004a5fc52e5668ad5a4ab540f0eda97faba64 /PKGBUILD
parent02b3bc54074419ee7bfa2e26d136030725d348dc (diff)
downloadaur-hdsentinel_gui.tar.gz
updated to the latest hdsentinel, supported by nvme ssds
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD8
1 files changed, 5 insertions, 3 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 760c38481e7..c03636c53bf 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -4,12 +4,12 @@
pkgname=hdsentinel_gui
pkgver=2.0.0
-pkgrel=3
+pkgrel=4
pkgdesc="A freeware, closed source, SMART analysis tool with GUI"
arch=('i686' 'x86_64')
url="http://www.hdsentinel.com/hard_disk_sentinel_linux_gui.php"
license=('unknown')
-depends=(gtk2)
+depends=(gtk2 hdsentinel)
source_i686=(hdsentinel_gui32bit.tar.gz::https://www.hdsentinel.com/hdslin/hdsentinel_gui32bit.tar.gz)
md5sums_i686=('9be70938647a465296be0b8b9c2d2349')
source_x86_64=(hdsentinel_gui64bit.tar.gz::https://www.hdsentinel.com/hdslin/hdsentinel_gui64bit.tar.gz)
@@ -20,10 +20,12 @@ package() {
bsdtar -xf "HDSentinel_GUI.zip"
sed -i 's/\/usr\/share\/bin/\/usr\/bin/' HDSentinel_GUI/Hard_Disk_Sentinel_GUI.desktop
install -m755 -D "HDSentinel_GUI/HDSentinel_GUI" $pkgdir/usr/bin/HDSentinel_GUI || return 1
- install -m755 -D "HDSentinel_GUI/HDSentinel" $pkgdir/usr/bin/HDSentinel || return 1
+# install -m755 -D "HDSentinel_GUI/HDSentinel" $pkgdir/usr/bin/HDSentinel || return 1
install -m644 -D "HDSentinel_GUI/HDSentinel_GUI.ico" $pkgdir/usr/share/icons/HDSentinel_GUI.ico || return 1
install -m644 -D "HDSentinel_GUI/Hard_Disk_Sentinel_GUI.desktop" $pkgdir/usr/share/applications/Hard_Disk_Sentinel_GUI.desktop || return 1
install -m644 -D "readme" $pkgdir/usr/share/doc/$pkgname/readme || return 1
install -m644 -D "version" $pkgdir/usr/share/doc/$pkgname/version || return 1
+ cd $pkgdir/usr/bin
+ ln -s /usr/bin/hdsentinel HDSentinel
}